{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post">
    {$jtl_token}
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control" data-active="{if !empty($pluginConfig->pluginActive)}{$pluginConfig->pluginActive}{else}N{/if}">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Automatischer Login')}</span>
            </div>
            <select id="checkboxActive" name="checkboxActive" class="form-control">
                <Option {if $pluginConfig->checkboxActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->checkboxActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob die Checkbox für den automatischen Login aktiv sein soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Willkommensnachricht')}</span>
            </div>
            <select id="welcomeMsg" name="welcomeMsg" class="form-control">
                <Option {if $pluginConfig->welcomeMsg=='M'} selected {/if} value="M">{__('als modales Fenster')}</Option>
                <Option {if $pluginConfig->welcomeMsg=='H'} selected {/if} value="H">{__('als Hinweis')}</Option>
                <Option {if $pluginConfig->welcomeMsg=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob der Kunde eine Willkommensnachricht bekommt. Sie haben die Möglichkeit diese als popup oder als normalen Hinweis anzuzeigen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Name des Cookies')}</span>
            </div>
            <input type="text" name="cookieName" class="form-control" value="{$pluginConfig->cookieName}" placeholder="{__('cookieName')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie den Namen des Cookies fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Laufzeit des Cookies')}</span>
            </div>
            <input type="number" min="1" name="cookieTime" class="form-control" value="{$pluginConfig->cookieTime}" placeholder="{__('cookieTime')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie die Laufzeit des Cookies in Tagen fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Selectoren und Einfügemethoden der einzelnen Bereiche')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector Willkommensnachricht')}</span>
            </div>
            <input type="text" name="selector_welcome" class="form-control" value="{$pluginConfig->selector_welcome}" placeholder="{__('selector')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="selector_position_welcome" name="selector_position_welcome" class="form-control">
                <Option {if $pluginConfig->selector_position_welcome=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->selector_position_welcome=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->selector_position_welcome=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->selector_position_welcome=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->selector_position_welcome=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->selector_position_welcome=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <hr>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector Login Seite')}</span>
            </div>
            <input type="text" name="selector_login" class="form-control" value="{$pluginConfig->selector_login}" placeholder="{__('selector')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
                <select id="selector_position_login" name="selector_position_login" class="form-control">
                <Option {if $pluginConfig->selector_position_login=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->selector_position_login=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->selector_position_login=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->selector_position_login=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->selector_position_login=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->selector_position_login=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
                </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <hr>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector Checkout')}</span>
            </div>
            <input type="text" name="selector_checkout" class="form-control" value="{$pluginConfig->selector_checkout}" placeholder="{__('selector')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="selector_position_checkout" name="selector_position_checkout" class="form-control">
                <Option {if $pluginConfig->selector_position_checkout=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->selector_position_checkout=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->selector_position_checkout=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->selector_position_checkout=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->selector_position_checkout=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->selector_position_checkout=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <hr>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector Header')}</span>
            </div>
            <input type="text" name="selector_header" class="form-control" value="{$pluginConfig->selector_header}" placeholder="{__('selector')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="selector_position_header" name="selector_position_header" class="form-control">
                <Option {if $pluginConfig->selector_position_header=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->selector_position_header=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->selector_position_header=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->selector_position_header=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->selector_position_header=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->selector_position_header=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <hr>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector Registrierung')}</span>
            </div>
            <input type="text" name="selector_register" class="form-control" value="{$pluginConfig->selector_register}" placeholder="{__('selector')}">
            <div class="input-group-append">
            <span class="input-group-text">
                <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                      data-original-title="{__('Hier legen die Selectoren fest.')}">
                    <span class="fas fa-info-circle fa-fw"></span>
                </span>
           </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="selector_position_register" name="selector_position_register" class="form-control">
                <Option {if $pluginConfig->selector_position_register=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->selector_position_register=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->selector_position_register=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->selector_position_register=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->selector_position_register=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->selector_position_register=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
            <span class="input-group-text">
                <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                      data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                    <span class="fas fa-info-circle fa-fw"></span>
                </span>
           </span>
            </div>
        </div>


        </fieldset>


    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</form>
