<?php declare(strict_types=1);
/**
 * @copyright (c) JTL-Software-GmbH
 * @license       http://jtl-url.de/jtlshoplicense
 */

namespace Plugin\css_CustomerLogin\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

/**
 * Class Migration20211109123301
 */
class Migration20211109123301 extends Migration implements IMigration
{
    /**
     * @inheritdoc
     */


    public function up() {
	    $result = $this->getDB()->query(
		    'SELECT * from `css_CustomerLoginConfig` where 1',
		    2
	    );
	    if($result === null || count($result) < 1) {
		    $this->execute(
			    "INSERT INTO `css_CustomerLoginConfig` (`version`) VALUES ('2.0.1')"
		    );
	    } else {
		    $this->execute("UPDATE css_CustomerLoginConfig set `version` = '2.0.1' ");
	    }
    }

    /**
     * @inheritdoc
     */
    public function down()    {
#	    $this->execute("UPDATE css_CustomerLoginConfig set `version` = '2.0.0' ");
    }
}
