{if $cssCustomerLogin->welcomeMsg=='M'}
<div class="modal fade css-CustomerLogin css-CustomerLogin-modal" id="css-CustomerLogin-modal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">{$cssCustomerLoginLanguage.css_CustomerLogin_welcome_headline}</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                <p>{$cssCustomerLoginLanguage.css_CustomerLogin_welcome_content}</p>
                <div class="text-center">
                    {if $smarty.session.Warenkorb->PositionenArr|@count > 0}
                    <a class="btn btn-outline-secondary" href="{$cssBasketUrl}" >{$cssCustomerLoginLanguage.css_CustomerLogin_welcome_BUTTON_BASKET}</a>
                    {/if}
                    <a class="btn btn-outline-secondary" href="{$cssAccountUrl}" >{$cssCustomerLoginLanguage.css_CustomerLogin_welcome_BUTTON_ACCOUNT}</a>
                    <a class="btn btn-outline-secondary" data-dismiss="modal" href="#" >{$cssCustomerLoginLanguage.css_CustomerLogin_welcome_BUTTON_NOTHING}</a>
                </div>
            {if !empty($css_permanentBasketNotice)}
                <div class="css_permanentBasketNotice">{$css_permanentBasketNotice}</div>
            {/if}
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal">{$cssCustomerLoginLanguage.css_CustomerLogin_welcome_close}</button>
            </div>

        </div>
    </div>
</div>


<script>
    $(function() {
        $('#css-CustomerLogin-modal').modal({
            show: true
        })
        $('.css-CustomerLogin-modal').on('shown.bs.modal', function () {
            $('#myInput').trigger('focus')
        })
    });

</script>
{/if}
{if $cssCustomerLogin->welcomeMsg=='H'}
<div class="css-CustomerLogin css-CustomerLogin-alert" id="css-CustomerLogin-alert">
    <div class="alert alert-info text-center">
        <p>{$cssCustomerLoginLanguage.css_CustomerLogin_welcome_content}</p>
        <p>
            {if $smarty.session.Warenkorb->PositionenArr|@count > 0}
                <a class="btn btn-outline-secondary" href="{$cssBasketUrl}" >{$cssCustomerLoginLanguage.css_CustomerLogin_welcome_BUTTON_BASKET}</a>
            {/if}
            <a class="btn btn-outline-secondary" href="{$cssAccountUrl}" >{$cssCustomerLoginLanguage.css_CustomerLogin_welcome_BUTTON_ACCOUNT}</a>
            <a class="btn btn-outline-secondary" onclick="$('#css-CustomerLogin-alert').slideUp(); return false;" href="#" >{$cssCustomerLoginLanguage.css_CustomerLogin_welcome_BUTTON_NOTHING}</a>
        </p>
    </div>

</div>
{/if}
